Bug 1195533 - Missing documentation for spacecmd in Satellite 5.7 docs
Summary: Missing documentation for spacecmd in Satellite 5.7 docs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Getting Started Guide
Version: 570
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Russell Dickenson
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks: sat570-triage
TreeView+ depends on / blocked
 
Reported: 2015-02-24 01:22 UTC by Xixi
Modified: 2019-10-10 09:38 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-20 22:28:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xixi 2015-02-24 01:22:56 UTC
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Satellite/5.7/
Not sure if this belongs in API Guide or User Guide.

Section Number and Name: 

Describe the issue: 
spacecmd support is one of the new major features in Satellite 5.7, need to be mentioned in docs as a supported commandline utility.

Suggestions for improvement: 
spacecmd has its own documentation as part of the tool, so maybe just mention somewhere that it's supported commandline utility as of Satellite 5.7 and a pointer to manpage/help options for more info

Additional information:

Comment 4 Xixi 2015-03-30 22:54:05 UTC
Thank you Dan - looks great.

Btw, would it be possible to link these new feature docs from the Release Notes Enhancements section, or otherwise *somehow* highlight these new features to help customers find them (I wouldn't have known where to look, User Guide vs Get Started Guide etc.)?

Xixi

Comment 5 Peter Gervase 2015-05-29 20:24:49 UTC
"An initial run of spacecmd requires your username and password. This opens a session ticket for the chosen user and all subsequent usage of spacecmd uses this session until it expires. Change the user and password using the -u USERNAME and -p PASSWORD options."

I think it'd be nice to specify there how long that session is - security concerns and ease of use questions.

Comment 8 Dan Macpherson 2015-10-21 03:27:14 UTC
Moving this bug back to ASSIGNED to caputre the session timeout.

Comment 10 Dan Macpherson 2016-11-02 00:56:41 UTC
Hi Tomas,

Sure, I'll try and find some time this week. It's a fairly simple fix but looks like it slipped under my radar.

- Dan

Comment 11 Andrew Dahms 2017-07-04 11:44:48 UTC
Moving to 'NEW' and the default assignee to be triaged as the schedule allows.

Comment 13 Julie 2017-07-25 00:23:56 UTC
Moving this bug to verified.

Comment 16 Andrew Dahms 2017-07-26 09:06:44 UTC
Hi Russell,

The User Guide is now queued for publication, and should appear on the Customer Portal in the next few hours.

Kind regards,

Andrew


Note You need to log in before you can comment on or make changes to this bug.